#if !defined(AFX_LOTMSGSCRATCHPADRS_H__F2841473_CD29_11D7_89A8_000629A6E157__INCLUDED_)
#define AFX_LOTMSGSCRATCHPADRS_H__F2841473_CD29_11D7_89A8_000629A6E157__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LotMsgScratchPadRS.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLotMsgScratchPadRS DAO recordset

class CLotMsgScratchPadRS : public CDaoRecordset
{
public:
    CLotMsgScratchPadRS(CDaoDatabase* pDatabase = NULL);
    DECLARE_DYNAMIC(CLotMsgScratchPadRS)

// Field/Param Data
// {{AFX_FIELD(CLotMsgScratchPadRS, CDaoRecordset)
    CString m_Date_Time;
    CString m_Type;
    CString m_Module_Name;
    long    m_Count;
    CString m_Message;
    CString m_Message_ID;
    CString m_End_Date_Time;
// }}AFX_FIELD

// Overrides
// ClassWizard generated virtual function overrides
// {{AFX_VIRTUAL(CLotMsgScratchPadRS)
public:
    virtual CString GetDefaultDBName();                      // Default database name
    virtual CString GetDefaultSQL();                         // Default SQL for Recordset
    virtual void    DoFieldExchange(CDaoFieldExchange* pFX); // RFX support
// }}AFX_VIRTUAL

//  Close Recordset and close database
    virtual void Close();

// Implementation
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif
};

// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOTMSGSCRATCHPADRS_H__F2841473_CD29_11D7_89A8_000629A6E157__INCLUDED_)
